complexType "CommodityPhysicalEuropeanExercise"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 1 element
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | expirationDate?
</...>

Content Model Elements (1):

  expirationDate (in europeanExercise defined in CommodityPhysicalExercise complexType)

All Direct / Indirect Based Elements (1):

  europeanExercise (defined in CommodityPhysicalExercise complexType)

Known Usage Locations

- As direct type of elements (1):
  europeanExercise (defined in CommodityPhysicalExercise complexType)

Annotation
The parameters for defining the expiration date(s) and time(s) for a European style option.
Type Definition Detail

Type Derivation Tree Exercise (extension) CommodityPhysicalEuropeanExercise

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="CommodityPhysicalEuropeanExercise"> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <!--View Generation: Removed a degenerate choice.--> <xsd:element minOccurs="0" name="expirationDate" type="AdjustableOrRelativeDate"/> <!--View Generation: SKIPPED expirationTime - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/1)
expirationDate

  Type: | AdjustableOrRelativeDate, complex content

  The Expiration Date of a single expiry European-style option or the first Expiration Date of a multiple expiry or daily expiring option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="expirationDate" type="AdjustableOrRelativeDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.